<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
$que = @$db->sql_query( "select * from  `forum_r` where id='$fid';" );
$raz = @$db->sql_fetchrow( @$que );
if (mysql_affected_rows() == 0){
echo '<b>Такого раздела не существует!</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}

$for = @$db->sql_fetchrow( $db->sql_query( "select * from  `forum_f` where id='".$raz['f_id']."';" ));
echo ' <a href="./">Форумы</a>|<a href="razdel_'.$raz['f_id'].'">'.$for['name'].'</a>|<b>'.$raz['name'].'</b><br /><dl><dt></dt></dl>';



if (empty($act)){
if ($ver!='wml')echo '<form action="addtem_'.$fid.'?act=act&amp;'.SID.'" method="post">';

echo 'Тема:<br/>';
echo '<input type="text" name="name" maxlength="50" title="Форум"/><br/>';
echo 'Сообщение:<br/>';
if ($ver=='wml')echo '<input name="msg'.$ref.'" title="Сообщение"/><br/>';
else echo '<textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/>';

echo '<input type="checkbox" name="privat" value="1"/>Оповещать по привату о оставленных сообщениях<br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Создать<go href="addtem_'.$fid.'?act=add&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name"/>
<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="privat" value="$privat"/>
</go></anchor><br/>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Создать"/></form><br />';
}
}else{
$name = check($_POST['name']);
$msg = check($_POST['msg']);
$privat = check($_POST['privat']);
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
$theme = substr($theme, 0, 50);
$msg = substr($msg, 0, 1024);

$p = @$db->sql_fetchrow($db->sql_query(@"select * from `forum_t` where name='$name' limit 1;"));
if(@mysql_affected_rows() > 0)$err = 'Такая тема уже есть!';


if (strlen2($name)<3)$err = 'Короткое имя темы!';
if (strlen2($msg)<3)$err = 'Вы не заполнили сообщение!';


$query = @$db->sql_query("SELECT * FROM `forum_t` WHERE `user_id` = '".$user['id']."' and r_id = '".$fid."' AND `times` > '".($time-$set['for_time_t'])."';");
if(@mysql_affected_rows() > 0)$err = 'Темы можно создавать не чаще чем раз в '.$set['for_time_t'].' сек.!';

if (empty($err)){
if (empty($privat))$privat = 0;

if ($db->sql_query ("INSERT INTO forum_t (f_id,r_id,user_id,name,time,times,privat) VALUES ('$raz[f_id]','$fid','$user[id]','$name','$time','$time','$privat')")){


$idt=$db->sql_nextid();

$tem = @$db->sql_fetchrow($db->sql_query("select * from  `forum_t` where id = '".$idt."'" ));

$db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time) VALUES ('$raz[f_id]','$fid','".$idt."','$user[id]','$msg','$time')");
postsf_add();


header("Location: tema_".$idt."?".SID);
}else echo 'Ошибка!<br />';
}else echo $err;
}
echo '<br /><dl><dt></dt></dl>';
?>